Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WTCRemoteTuxDomMBean

public interface WTCRemoteTuxDomMBean
extends ConfigurationMBean

This interface provides access to the WTC remote Tuxedo Domain configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getAccessPoint()` Gets the accessPoint attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getAccessPointId()` Gets the accessPointId attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getAclPolicy()` Gets the aclPolicy attribute of the WTCRemoteTuxDomMBean object
`boolean` | `getAllowAnonymous()` Gets the allowAnonymous attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getAppKey()` Gets the appKey attribute of the WTCRemoteTuxDomMBean object
`int` | `getCmpLimit()` Gets the cmpLimit attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getConnectionPolicy()` Gets the connectionPolicy attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getConnPrincipalName()` Gets the connPrincipalName attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getCredentialPolicy()` Gets the credentialPolicy attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getCustomAppKeyClass()` Gets the customAppKeyClass attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getCustomAppKeyClassParam()` Gets the customAppKeyClassParam attribute of the WTCRemoteTuxDomMBean object
`int` | `getDefaultAppKey()` Gets the defaultAppKey attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getFederationName()` Gets the federationName attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getFederationURL()` Gets the federationURL attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getLocalAccessPoint()` Gets the localAccessPoint attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getMaxEncryptBits()` Gets the maxEncryptBits attribute of the WTCRemoteTuxDomMBean object
`long` | `getMaxRetries()` Gets the maxRetries attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getMinEncryptBits()` Gets the minEncryptBits attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getNWAddr()` Gets the nWAddr attribute of the WTCRemoteTuxDomMBean object
`long` | `getRetryInterval()` Gets the retryInterval attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getTpUsrFile()` Gets the tpUsrFile attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getTuxedoGidKw()` Gets the tuxedoGidKw attribute of the WTCRemoteTuxDomMBean object
`java.lang.String` | `getTuxedoUidKw()` Gets the tuxedoUidKw attribute of the WTCRemoteTuxDomMBean object
`void` | `setAccessPoint(java.lang.String AccessPoint)` Defines a name used to identify a remote Tuxedo access point in a WTC Service.
`void` | `setAccessPointId(java.lang.String AccessPointId)` Defines the connection name used to identify this remote Tuxedo access point when attempting to establish a session connection with a local Tuxedo access point.
`void` | `setAclPolicy(java.lang.String AclPolicy)` Defines the inbound access control list (ACL) policy toward requests from a remote Tuxedo access point.
`void` | `setAllowAnonymous(boolean AllowAnonymous)` Specifies whether the anonymous user is allowed to access Tuxedo.
`void` | `setAppKey(java.lang.String AppKey)` Specifies the type of AppKey plug-in used.
`void` | `setCmpLimit(int CmpLimit)` Defines the compression threshold used when sending data to a local Tuxedo access point.
`void` | `setConnectionPolicy(java.lang.String ConnectionPolicy)` Defines the conditions under which a remote Tuxedo access point tries to establish a connection to a local Tuxedo access point.
`void` | `setConnPrincipalName(java.lang.String ConnPrincipalName)` Defines the principal name used to verify the identity of this remote Tuxedo access point when establishing a connection to a local Tuxedo access point.
`void` | `setCredentialPolicy(java.lang.String CredentialPolicy)` Defines the outbound access control list (ACL) policy toward requests to a remote Tuxedo access point.
`void` | `setCustomAppKeyClass(java.lang.String AppKeyClass)` Defines the full pathname to the `Custom` AppKey generator class.
`void` | `setCustomAppKeyClassParam(java.lang.String Param)` Defines the optional parameters to be used by the `Custom` AppKey class at the class initialization time.
`void` | `setDefaultAppKey(int DfltAppKey)` The default AppKey value to be used by the anonymous user and other users who are not defined in the user database if the AppKey plug-in allows them to access Tuxedo.
`void` | `setFederationName(java.lang.String FederationName)` Defines the context at which to federate to a foreign name service.
`void` | `setFederationURL(java.lang.String FederationURL)` Defines the URL for a foreign name service that is federated into JNDI.
`void` | `setLocalAccessPoint(java.lang.String LocalAccessPoint)` The local Tuxedo access point name from which a remote Tuxedo access point is reached.
`void` | `setMaxEncryptBits(java.lang.String MaxEncryptBits)` Defines the maximum encryption key length (in bits) used when establishing a session connection for a local Tuxedo access point.
`void` | `setMaxRetries(long MaxRetries)` Defines the number of times that a domain gateway tries to establish session connections to remote Tuxedo access points.
`void` | `setMinEncryptBits(java.lang.String MinEncryptBits)` Defines the minimum encryption key length (in bits) used when establishing a session connection for a local Tuxedo access point.
`void` | `setNWAddr(java.lang.String ListenAddress)` The network address and port number of this remote Tuxedo access point.
`void` | `setRetryInterval(long RetryInterval)` Defines the number of seconds between automatic attempts to establish a session connection to remote Tuxedo access points.
`void` | `setTpUsrFile(java.lang.String TpUsrFile)` The full path to the user password file containing UID/GID information.
`void` | `setTuxedoGidKw(java.lang.String GidKw)` Defines the keyword for Tuxedo GID (group id) used in the WlsUser when using the Tuxedo migration utility `tpmigldap`.
`void` | `setTuxedoUidKw(java.lang.String UidKw)` Defines the keyword for Tuxedo UID (user id) used in the WlsUser when using the Tuxedo migration utility `tpmigldap`.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setAccessPoint

    public void setAccessPoint(java.lang.String AccessPoint)
                        throws javax.management.InvalidAttributeValueException

  Defines a name used to identify a remote Tuxedo access point in a WTC Service. This name must be unique within defined Remote Tuxedo Access Points. This allows you to define unique configurations having the same Access Point ID.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `AccessPoint` - the name for the remote domain access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getAccessPoint

    public java.lang.String getAccessPoint()

  Gets the accessPoint attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The accessPoint value

### setAccessPointId

    public void setAccessPointId(java.lang.String AccessPointId)
                          throws javax.management.InvalidAttributeValueException

  Defines the connection name used to identify this remote Tuxedo access point when attempting to establish a session connection with a local Tuxedo access point.

  The AccessPointId of a WTCRemoteTuxDom MBean must match the corresponding DOMAINID in the *DM_LOCAL_DOMAINS section of your Tuxedo DMCONFIG file.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `AccessPointId` - the local domain access point identifier
  Throws:
    javax.management.InvalidAttributeValueException -

### getAccessPointId

    public java.lang.String getAccessPointId()

  Gets the accessPointId attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The accessPointId value

### setConnectionPolicy

    public void setConnectionPolicy(java.lang.String ConnectionPolicy)
                             throws javax.management.InvalidAttributeValueException

  Defines the conditions under which a remote Tuxedo access point tries to establish a connection to a local Tuxedo access point.

  - ON_DEMAND: A connection is attempted only when requested by either a client request to a remote service or an administrative connect command.
  - ON_STARTUP: A domain gateway attempts to establish a connection with its remote Tuxedo access points at gateway server initialization time. Remote services (services advertised in JNDI by the domain gateway for this local Tuxedo access point) are advertised only if a connection is successfully established to that remote Tuxedo access point. If there is no active connection to a remote Tuxedo access point, then the remote services are suspended. By default, this connection policy retries failed connections every 60 seconds. Use the MaxRetry and RetryInterval attributes to specify application specific values.
  - INCOMING_ONLY: A domain gateway does not attempt an initial connection to remote Tuxedo access points at startup and remote services are initially suspended. The domain gateway is available for incoming connections from remote Tuxedo access points and remote services are advertised when the domain gateway for this local Tuxedo access point receives an incoming connection. Connection retry processing is not allowed.
  - LOCAL: Specifies that the remote domain connection policy is explicitly defaulted to the local domain ConnectionPolicy attribute value.

  A dynamic MBean attribute
  Default Value: "ON_DEMAND"
  Legal Values: "ON_DEMAND","ON_STARTUP","INCOMING_ONLY","LOCAL"
  Parameters:
    `ConnectionPolicy` - the connection policy for this remote Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getConnectionPolicy

    public java.lang.String getConnectionPolicy()

  Gets the connectionPolicy attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The connectionPolicy value

### setAclPolicy

    public void setAclPolicy(java.lang.String AclPolicy)
                      throws javax.management.InvalidAttributeValueException

  Defines the inbound access control list (ACL) policy toward requests from a remote Tuxedo access point.

  - If Interoperate is set to Yes, AclPolicy is ignored.
  - LOCAL: The local Tuxedo access point modifies the identity of service requests received from a given remote Tuxedo access point to the principal name specified in the local principal name for a given remote Tuxedo access point.
  - GLOBAL: The local Tuxedo access point passes the service request with no change in identity.

  A dynamic MBean attribute
  Default Value: "LOCAL"
  Legal Values: "GLOBAL","LOCAL"
  Secure Value: "GLOBAL" or "LOCAL"
  Parameters:
    `AclPolicy` - the AclPolicy for this remote Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getAclPolicy

    public java.lang.String getAclPolicy()

  Gets the aclPolicy attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The aclPolicy value

### setCredentialPolicy

    public void setCredentialPolicy(java.lang.String CredentialPolicy)
                             throws javax.management.InvalidAttributeValueException

  Defines the outbound access control list (ACL) policy toward requests to a remote Tuxedo access point.

  - If Interoperate is set to Yes, CredentialPolicy is ignored.
  - LOCAL: The remote Tuxedo access point controls the identity of service requests received from the local Tuxedo access point to the principal name specified in the local principal name for this remote Tuxedo access point.
  - GLOBAL: The remote Tuxedo access point passes the service request with no change.

  A dynamic MBean attribute
  Default Value: "LOCAL"
  Legal Values: "GLOBAL","LOCAL"
  Parameters:
    `CredentialPolicy` - the CredentialPolicy for this remote Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getCredentialPolicy

    public java.lang.String getCredentialPolicy()

  Gets the credentialPolicy attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The credentialPolicy value

### setTpUsrFile

    public void setTpUsrFile(java.lang.String TpUsrFile)
                      throws javax.management.InvalidAttributeValueException

  The full path to the user password file containing UID/GID information. This file is generated by the Tuxedo tpusradd utility on the remote Tuxedo domain specified by the remote Tuxedo access point. A copy of this file must be available in your WebLogic Tuxedo Connector environment to provide correct authorization, authentication, and auditing.

  A dynamic MBean attribute
  Parameters:
    `TpUsrFile` - the TpUsrFile URL for this remote Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getTpUsrFile

    public java.lang.String getTpUsrFile()

  Gets the tpUsrFile attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The tpUsrFile value

### setLocalAccessPoint

    public void setLocalAccessPoint(java.lang.String LocalAccessPoint)
                             throws javax.management.InvalidAttributeValueException

  The local Tuxedo access point name from which a remote Tuxedo access point is reached.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `LocalAccessPoint` - the name for the local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getLocalAccessPoint

    public java.lang.String getLocalAccessPoint()

  Gets the localAccessPoint attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The localAccessPoint value

### setConnPrincipalName

    public void setConnPrincipalName(java.lang.String ConnPrincipalName)
                              throws javax.management.InvalidAttributeValueException

  Defines the principal name used to verify the identity of this remote Tuxedo access point when establishing a connection to a local Tuxedo access point.

  - This parameter only applies to domains of type TDOMAIN that are running BEA Tuxedo 7.1 or later software.
  - If not specified, the connection pricipal name defaults to the AccessPointID for this access point.

  Note: ConnectionPrincipalName is not supported in this release.

  A dynamic MBean attribute
  Parameters:
    `ConnPrincipalName` - The new connPrincipalName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getConnPrincipalName

    public java.lang.String getConnPrincipalName()

  Gets the connPrincipalName attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The connPrincipalName value

### setRetryInterval

    public void setRetryInterval(long RetryInterval)
                          throws javax.management.InvalidAttributeValueException

  Defines the number of seconds between automatic attempts to establish a session connection to remote Tuxedo access points.

  - Use only when Connection Policy is set to ON_STARTUP.
  - Use -1 to default to the value defined by the WTCLocalTuxDomMBean RetryInterval attribute.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `RetryInterval` - the retry interval for this remote Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getRetryInterval

    public long getRetryInterval()

  Gets the retryInterval attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The retryInterval value

### setMaxRetries

    public void setMaxRetries(long MaxRetries)
                       throws javax.management.InvalidAttributeValueException

  Defines the number of times that a domain gateway tries to establish session connections to remote Tuxedo access points. Use only when Connection Policy is set to ON_STARTUP.

  - Use -1 to default to the value defined by the WTCLocalTuxDomMBean MaxRetries attribute.
  - Use 0 to disable the retry mechanism.
  - Use the maximum value to try until a connection is established.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `MaxRetries` - the number of times to attempt connection to local Tuxedo access points
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaxRetries

    public long getMaxRetries()

  Gets the maxRetries attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The maxRetries value

### setNWAddr

    public void setNWAddr(java.lang.String ListenAddress)
                   throws javax.management.InvalidAttributeValueException

  The network address and port number of this remote Tuxedo access point. Specify the TCP/IP address in one of the following formats:

  - `//hostname:port_number`
  - `//#.#.#.#:port_number`

  If the hostname is used, the access point finds an address for hostname using the local name resolution facilities (usually DNS). If dotted decimal format is used, each # should be a number from 0 to 255. This dotted decimal number represents the IP address of the local machine. The port_number is the TCP port number at which the access point listens for incoming requests.

  A dynamic MBean attribute
  Legal Value: WTCLegalHelper.isNWAddrFormat(self.getName(),value)
  Parameters:
    `ListenAddress` - The new nWAddr value
  Throws:
    javax.management.InvalidAttributeValueException -

### getNWAddr

    public java.lang.String getNWAddr()

  Gets the nWAddr attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The nWAddr value

### setFederationURL

    public void setFederationURL(java.lang.String FederationURL)
                          throws javax.management.InvalidAttributeValueException

  Defines the URL for a foreign name service that is federated into JNDI. If omitted:

  - WebLogic Tuxedo Connector assumes there is a CosNaming server in the foreign domain.
  - WebLogic Tuxedo Connector federates to the CosNaming server using TGIOP.

  WebLogic Tuxedo Connector can to federate to non-CORBA service providers.

  A dynamic MBean attribute
  Parameters:
    `FederationURL` - url for a foreign name service federated into JNDI
  Throws:
    javax.management.InvalidAttributeValueException -

### getFederationURL

    public java.lang.String getFederationURL()

  Gets the federationURL attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The federationURL value

### setFederationName

    public void setFederationName(java.lang.String FederationName)
                           throws javax.management.InvalidAttributeValueException

  Defines the context at which to federate to a foreign name service. If omitted then the federation point is `tuxedo.domains`.

  A dynamic MBean attribute
  Parameters:
    `FederationName` - context at which to federate to foreign name service
  Throws:
    javax.management.InvalidAttributeValueException -

### getFederationName

    public java.lang.String getFederationName()

  Gets the federationName attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The federationName value

### setCmpLimit

    public void setCmpLimit(int CmpLimit)
                     throws javax.management.InvalidAttributeValueException

  Defines the compression threshold used when sending data to a local Tuxedo access point. Application buffers larger than this size are compressed.

  A dynamic MBean attribute
  Default Value: java.lang.Integer.MAX_VALUE
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `CmpLimit` - The compression threshold for this remote Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getCmpLimit

    public int getCmpLimit()

  Gets the cmpLimit attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The cmpLimit value

### setMinEncryptBits

    public void setMinEncryptBits(java.lang.String MinEncryptBits)
                           throws javax.management.InvalidAttributeValueException

  Defines the minimum encryption key length (in bits) used when establishing a session connection for a local Tuxedo access point.

  - A value of 0 indicates no encryption is used.
  - The value of the MinEncrypBits attribute must be less than or equal to the value of the MaxEncrypBits attribute.
  - A MinEncrypBits of 40 can be used only with domains running Tuxedo 7.1 or higher.

  A dynamic MBean attribute
  Default Value: "0"
  Legal Value: WTCLegalHelper.isMinLteMax(self,value)
  Legal Values: "0","40","56","128"
  Secure Value: "40"
  Parameters:
    `MinEncryptBits` - The minimum encryption level desired for this remote Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getMinEncryptBits

    public java.lang.String getMinEncryptBits()

  Gets the minEncryptBits attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The minEncryptBits value

### setMaxEncryptBits

    public void setMaxEncryptBits(java.lang.String MaxEncryptBits)
                           throws javax.management.InvalidAttributeValueException

  Defines the maximum encryption key length (in bits) used when establishing a session connection for a local Tuxedo access point.

  - A value of 0 indicates no encryption is used.
  - The value of the MaxEncryptBits attribute must be greater than or equal to the value of the MinEncrypBits attribute.
  - A MaxEncryptBits of 40 can be used only with domains running Tuxedo 7.1 or higher.

  A dynamic MBean attribute
  Default Value: "128"
  Legal Value: WTCLegalHelper.isMaxGteMin(self,value)
  Legal Values: "0","40","56","128"
  Parameters:
    `MaxEncryptBits` - The maximum encryption level desired for this remote Tuxedo domain
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaxEncryptBits

    public java.lang.String getMaxEncryptBits()

  Gets the maxEncryptBits attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The maxEncryptBits value

### setAppKey

    public void setAppKey(java.lang.String AppKey)
                   throws javax.management.InvalidAttributeValueException

  Specifies the type of AppKey plug-in used. You can choose from the following:
  - TpUsrFile.
  - LDAP.
  - Custom.

  `TpUsrFile` is the default plug-in. It uses an imported Tuxedo TPUSR file to provide user security information. Previous releases of WebLogic Tuxedo Connector support this option.

  The `LDAP` plug-in utilizes an embedded LDAP server to provide user security information. The user record must define the Tuxedo UID and GID information in the description field. This functionality is not supported in previous releases of WebLogic Tuxedo Connector.

  The `Custom` plug-in provides the ability to write your own AppKey generator class to provide the security information required by Tuxedo. This functionality is not supported in previous releases of WebLogic Tuxedo Connector.

  A dynamic MBean attribute
  Default Value: "TpUsrFile"
  Legal Values: "TpUsrFile","LDAP","Custom"
  Parameters:
    `AppKey` - The type of appkey generator plug-in selected.
  Throws:
    javax.management.InvalidAttributeValueException -

### getAppKey

    public java.lang.String getAppKey()

  Gets the appKey attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The appKey value

### setAllowAnonymous

    public void setAllowAnonymous(boolean AllowAnonymous)
                           throws javax.management.InvalidAttributeValueException

  Specifies whether the anonymous user is allowed to access Tuxedo. If the anonymous user is allowed to access Tuxedo, the default AppKey will be used for for `TpUsrFile` and `LDAP` AppKey plug-ins. Interaction with the `Custom` AppKey plug-in depends on the design of the Custom AppKey generator.

  A dynamic MBean attribute
  Default Value: false
  Parameters:
    `AllowAnonymous` - Specify if anonymous user is allowed to access Tuxedo
  Throws:
    javax.management.InvalidAttributeValueException -

### getAllowAnonymous

    public boolean getAllowAnonymous()

  Gets the allowAnonymous attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The allowAnonymous value

### setDefaultAppKey

    public void setDefaultAppKey(int DfltAppKey)
                          throws javax.management.InvalidAttributeValueException

  The default AppKey value to be used by the anonymous user and other users who are not defined in the user database if the AppKey plug-in allows them to access Tuxedo. The `TpUsrFile` and `LDAP` plug-ins do not allow users that are not defined in user database to access Tuxedo unless Allow Anonymous is enabled.

  A dynamic MBean attribute
  Default Value: "-1"
  Parameters:
    `DfltAppKey` - The default AppKey value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultAppKey

    public int getDefaultAppKey()

  Gets the defaultAppKey attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The defaultAppKey value

### setTuxedoUidKw

    public void setTuxedoUidKw(java.lang.String UidKw)
                        throws javax.management.InvalidAttributeValueException

  Defines the keyword for Tuxedo UID (user id) used in the WlsUser when using the Tuxedo migration utility `tpmigldap`. The keyword is used to find Tuxedo UID in the user record in the embedded LDAP database.

  A dynamic MBean attribute
  Default Value: "TUXEDO_UID"
  Parameters:
    `UidKw` - The Tuxedo user id keyword
  Throws:
    javax.management.InvalidAttributeValueException -

### getTuxedoUidKw

    public java.lang.String getTuxedoUidKw()

  Gets the tuxedoUidKw attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The tuxedoUidKw value

### setTuxedoGidKw

    public void setTuxedoGidKw(java.lang.String GidKw)
                        throws javax.management.InvalidAttributeValueException

  Defines the keyword for Tuxedo GID (group id) used in the WlsUser when using the Tuxedo migration utility `tpmigldap`. The keyword is used to find Tuxedo GID in the user record in the embedded LDAP database.

  A dynamic MBean attribute
  Default Value: "TUXEDO_GID"
  Parameters:
    `GidKw` - The Tuxedo group id keyword
  Throws:
    javax.management.InvalidAttributeValueException -

### getTuxedoGidKw

    public java.lang.String getTuxedoGidKw()

  Gets the tuxedoGidKw attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The tuxedoGidKw value

### setCustomAppKeyClass

    public void setCustomAppKeyClass(java.lang.String AppKeyClass)
                              throws javax.management.InvalidAttributeValueException

  Defines the full pathname to the `Custom` AppKey generator class. This class is loaded at runtime if the `Custom` AppKey generator plug-in is selected.

  A dynamic MBean attribute
  Parameters:
    `AppKeyClass` - The custom AppKey class full pathname
  Throws:
    javax.management.InvalidAttributeValueException -

### getCustomAppKeyClass

    public java.lang.String getCustomAppKeyClass()

  Gets the customAppKeyClass attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The customAppKeyClass value

### setCustomAppKeyClassParam

    public void setCustomAppKeyClassParam(java.lang.String Param)
                                   throws javax.management.InvalidAttributeValueException

  Defines the optional parameters to be used by the `Custom` AppKey class at the class initialization time.

  A dynamic MBean attribute
  Parameters:
    `Param` - Optional parameter for information to be used by `Custom` class
  Throws:
    javax.management.InvalidAttributeValueException -

### getCustomAppKeyClassParam

    public java.lang.String getCustomAppKeyClassParam()

  Gets the customAppKeyClassParam attribute of the WTCRemoteTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The customAppKeyClassParam value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD